// creator  : weidu.exe (version 23100)
// argument : SENIYA.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~SENIYA~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 3 5 even though they appear after this state */
~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #952 /* ~I need neither them nor you. Your ceaseless prattle will only slow me down.~ */
  IF ~~ THEN EXTERN ~ALDETH~ 5
END

IF ~~ THEN BEGIN 1 // from:
  SAY #953 /* ~Ahh, he likes it. Now, have you found a way out of that cage?~ */
  IF ~~ THEN DO ~EndCutsceneMode()
Shout(1)
Enemy()
~ EXIT
END

IF WEIGHT #5 /* Triggers after states #: 3 5 6 even though they appear after this state */
~Dead("Aldeth")
Global("SeniyadXP","GLOBAL",0)
~ THEN BEGIN 2 // from:
  SAY #954 /* ~Forgive my manner, you are right, of course. I will do what I can.~ */
  IF ~~ THEN DO ~AddexperienceParty(2000)
SetGlobal("SeniyadXP","GLOBAL",1)
Shout(3)
EscapeArea()
~ EXIT
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 3 // from:
  SAY #6387 /* ~I'm taken aback by these crass insinuations. I'll not admit anything to the likes of you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from:
  SAY #9089 /* ~ Y-yes?~ [AERIE21] */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~false()~ THEN BEGIN 5 // from:
  SAY #698 /* ~Thank you for the compliments, dwarf.~ [VALYGA58] */
  IF ~~ THEN DO ~~ EXIT
END

IF WEIGHT #4 ~Dead("Aldeth")
InParty("Faldorn")
Global("SeniyadXP","GLOBAL",0)
~ THEN BEGIN 6 // from:
  SAY #318 /* ~It's so bright!~ */
  IF ~~ THEN DO ~AddexperienceParty(1000)
SetGlobal("SeniyadXP","GLOBAL",1)
Shout(3)
EscapeArea()
~ EXTERN ~FALDOR~ 4
END
